#ifndef __HELLOWORLD_SCENE_H__
#define __HELLOWORLD_SCENE_H__

#include "cocos2d.h"

class HelloWorld : public cocos2d::CCLayer
{
public:
    // Here's a difference. Method 'init' in cocos2d-x returns bool, instead of returning 'id' in cocos2d-iphone
    virtual bool init();  

    // there's no 'id' in cpp, so we recommend returning the class instance pointer
    static cocos2d::CCScene* scene();
    
	void loginCallback(CCObject* pSender);

	void logoutCallback(CCObject* pSender);

	void payCallback(CCObject* pSender);

	void exitCallback(CCObject* pSender);

	void setLoginEventCallback(CCObject* pSender);
	void setRoleLevelUpEventCallback(CCObject* pSender);
	void setCreatRoleEventCallback(CCObject* pSender);
	void setServer_RoleEventCallback(CCObject* pSender);

	void getExitUI(CCObject* pSender);
    // a selector callback
    void menuCloseCallback(CCObject* pSender);
    
    // implement the "static node()" method manually
    CREATE_FUNC(HelloWorld);
};

#endif // __HELLOWORLD_SCENE_H__
